Package org.eclipse.microprofile.openapi.annotations.servers

## Annotation Type ServerVariable

    @Target({})
    @Retention(RUNTIME)
    @Inherited
    public @interface ServerVariable

An object representing a Server Variable for server URL template substitution.

See Also:
  ServerVariable Object

### Required Element Summary

Required Elements
`String` `defaultValue` The default value of this server variable.
`String` `name` The name of this server variable.

### Optional Element Summary

Optional Elements
`String` `description` An optional description for the server variable.
`String[]` `enumeration` An array of enum values for this variable.
`Extension[]` `extensions` List of extensions to be added to the `ServerVariable` model corresponding to the containing annotation.

### Element Detail

#### name

    String name

The name of this server variable. This is a REQUIRED property.

Returns:
  the name of the server variable

#### defaultValue

    String defaultValue

The default value of this server variable. This is a REQUIRED property.

Returns:
  the defualt value of this server variable

#### enumeration

    String[] enumeration

An array of enum values for this variable. This field maps to the enum property in the OAS schema and to enumeration field of ServerVariable model.

Returns:
  array of possible values for this ServerVariable

Default:
  {}

#### description

    String description

An optional description for the server variable. CommonMark syntax can be used for rich text representation.

Returns:
  the description of this server variable

Default:
  ""

#### extensions

    Extension[] extensions

List of extensions to be added to the `ServerVariable` model corresponding to the containing annotation.

Returns:
  array of extensions
Since:
  3.1

Default:
  {}